Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class PanelController

    java.lang.Object
      ix.ip2.PanelController

Direct Known Subclasses:
  SimpleExpandingSimulator.SimController

    public class PanelController

extends java.lang.Object

Controller for process and other, similar panels.

Field Summary
`protected java.lang.Object` | `validityCheckReason`

Constructor Summary
`PanelController(Ip2 ip2)`

Method Summary
`void` | `addAboutInfo(java.util.List about)`
`ActivityItem` | `addActivity(Activity activity)`
`void` | `addActivityHandler(ItemHandler handler)`
`void` | `addActivityListener(AgendaListener listener)`
`void` | `addControllerListener(ControllerListener listener)`
`void` | `addHandledItem(AgendaItem item)`
`void` | `addHandler(ItemHandler handler)` Install the handler as a handler for issues, activities, or both, as appropriate.
`IssueItem` | `addIssue(Issue issue)`
`void` | `addIssueHandler(ItemHandler handler)`
`void` | `addIssueListener(AgendaListener listener)`
`void` | `addItemHandler(ItemHandler handler)`
`boolean` | `canHandleAutomatically(TaskItem issueOrActivity)`
`void` | `checkActionValidity(ItemHandler handler, java.lang.Object reason)` Called by a handler when it discovers that some actions may need to be deleted.
`void` | `clearModel()`
`void` | `connectTo(ProcessModelManager modelManager)`
`ItemHandler` | `findHandler(Predicate1 p)`
`Agenda` | `getActivityAgenda()`
`Agenda` | `getAgenda(TaskItem issueOrActivity)`
`Ip2` | `getAgent()`
`Agenda` | `getIssueAgenda()`
`Ip2ModelManager` | `getModelManager()`
`void` | `handleAutomatically(TaskItem issueOrActivity)`
`protected ActivityAgenda` | `makeActivityAgenda()`
`protected IssueAgenda` | `makeIssueAgenda()`
`void` | `newReport(Report report)`
`void` | `reconsiderHandler(ItemHandler handler, java.lang.Object reason)` Called by a handler when it discovers that it may need to add actions.
`void` | `reset()`
`boolean` | `wantsReport(Report report)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### validityCheckReason

    protected java.lang.Object validityCheckReason

Constructor Detail

### PanelController

    public PanelController(Ip2 ip2)

Method Detail

### makeActivityAgenda

    protected ActivityAgenda makeActivityAgenda()

### makeIssueAgenda

    protected IssueAgenda makeIssueAgenda()

### connectTo

    public void connectTo(ProcessModelManager modelManager)

### reset

    public void reset()

### clearModel

    public void clearModel()

### getAgent

    public Ip2 getAgent()

### getModelManager

    public Ip2ModelManager getModelManager()

### getActivityAgenda

    public Agenda getActivityAgenda()

### getIssueAgenda

    public Agenda getIssueAgenda()

### getAgenda

    public Agenda getAgenda(TaskItem issueOrActivity)

### addAboutInfo

    public void addAboutInfo(java.util.List about)

### addActivity

    public ActivityItem addActivity(Activity activity)

### addIssue

    public IssueItem addIssue(Issue issue)

### canHandleAutomatically

    public boolean canHandleAutomatically(TaskItem issueOrActivity)

### handleAutomatically

    public void handleAutomatically(TaskItem issueOrActivity)

### addHandledItem

    public void addHandledItem(AgendaItem item)

### newReport

    public void newReport(Report report)

### wantsReport

    public boolean wantsReport(Report report)

### addHandler

    public void addHandler(ItemHandler handler)

  Install the handler as a handler for issues, activities, or both, as appropriate. The decision is based on the handler's class. `IssueHandler`s are asked to handle only issues, {@link ActivityHandler)s only activities, and other handlers both.

### addActivityHandler

    public void addActivityHandler(ItemHandler handler)

### addIssueHandler

    public void addIssueHandler(ItemHandler handler)

### addItemHandler

    public void addItemHandler(ItemHandler handler)

### findHandler

    public ItemHandler findHandler(Predicate1 p)

### checkActionValidity

    public void checkActionValidity(ItemHandler handler,
                                    java.lang.Object reason)

  Called by a handler when it discovers that some actions may need to be deleted. This method avoids repeating checks about the most recently seen previous reason.

### reconsiderHandler

    public void reconsiderHandler(ItemHandler handler,
                                  java.lang.Object reason)

  Called by a handler when it discovers that it may need to add actions.

### addActivityListener

    public void addActivityListener(AgendaListener listener)

### addIssueListener

    public void addIssueListener(AgendaListener listener)

### addControllerListener

    public void addControllerListener(ControllerListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD